# $Revision: 1.81 $, $Date: 2009/02/08 22:43:51 $
Summary:	GNU Make
Summary(de.UTF-8):	GNU Make
Summary(es.UTF-8):	GNU Make
Summary(fr.UTF-8):	L'utilitaire make de GNU
Summary(pl.UTF-8):	Narzędzie GNU Make
Summary(pt_BR.UTF-8):	GNU Make
Summary(ru.UTF-8):	GNU Make
Summary(tr.UTF-8):	GNU Make
Summary(uk.UTF-8):	GNU Make
Name:		make
Version:	3.81
Release:	3
Epoch:		1
License:	GPL
Group:		Development/Building
Source0:	http://ftp.gnu.org/gnu/make/%{name}-%{version}.tar.gz
# Source0-md5:	a4e9494ac6dc3f6b0c5ff75c5d52abba
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	ab6da7a1ba3bcf9e86e4e3fdecca61a7
Patch0:		%{name}-info.patch
Patch1:		%{name}-pl.po-update.patch
Patch2:		%{name}-rlimit.patch
Patch3:		%{name}-jobserver.patch
Patch4:		%{name}-fdleak.patch
Patch5:		%{name}-getcwd.patch
Patch6:		%{name}-memory.patch
Patch7:		%{name}-newlines.patch
URL:		http://www.gnu.org/software/make/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-devel >= 0.14.1
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A GNU tool for controlling the generation of executables and other
non-source files of a program from the program's source files. Make
allows users to build and install packages without any significant
knowledge about the details of the build process. The details about
how the program should be built are provided for make in the program's
makefile.

%description -l de.UTF-8
Das MAKE-Programm dient zur Koordination der Kompilierung und zum
Linken eines Satzes von Quellen in ein Programm, wobei nur die
erforderlichen Komponenten neu kompiliert werden, so daß der
Entwickler eine Menge Zeit spart. Aber damit sind die Fähigkeiten von
MAKE noch lange nicht erschöpft - lesen Sie die Info-Dokumente.

%description -l es.UTF-8
El programa make se usa para coordinar la compilación y linkedición de
un conjunto de programas fuentes en programas ejecutables,
recompilando solamente lo que es necesario, de este modo ahorra mucho
tiempo del programador. De hecho, make puede hacer mucho más - lee la
documentación.

%description -l fr.UTF-8
make sert à coordonner la compilation et l'édition de liens d'un
ensemble de sources pour produire un programme, ne recompilant que ce
qui est nécessaire et économisant ainsi beaucoup de temps. En fait,
make peut faire beaucoup plus -- voir les docs info.

%description -l pl.UTF-8
Make jest używany do automatyzacji procesów kompilowania kodu
źródłowego i konsolidacji kodu programów wykonując tylko te czynności
które są potrzebne w razie modyfikacji plików przetwarzanych przez
make oszczędzając tym samym czas. Make może wykonywać o wiele więcej
różnych typów operacji związanych z przedtwarzaniem wsadowym. Pełen
opis make znaleźć można na stronach info ("info make").

%description -l pt_BR.UTF-8
O programa make é usado para coordenar a compilação e linkedição de um
conjunto de programas fontes em programas executáveis, recompilando
somente o que é necessário, desse modo economizando um grande tempo do
programador. De fato, make pode fazer muito mais - leia a
documentação.

%description -l ru.UTF-8
Программа make используется для управления процессом компилляции и
линковки набора исходных текстов в программу, перекомпилляции только
того, что необходимо и сохранения, таким образом, кучи времени
разработчику. На самом деле, она может намного больше - прочитайте
документацию в формате info...

%description -l tr.UTF-8
Bu program kaynak kodlarının derlenmesini ve bağlanmasını koordine
etmek için kullanılır. Sadece gerekli olan programları tekrar
derleyerek zaman yitirilmesini önler.

%description -l uk.UTF-8
Програма make використовується для керування процесом компіляції та
лінковки набору вихідних текстів у програму, перекомпіляції тільки
того, що потрібно і збереженні, таким чином, часу програміста.
Фактично, make може набагато більше - прочитайте документацію в
форматі info...

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1

rm -f po/stamp-po

%build
%{__gettextize}
%{__aclocal} -I config
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/env.d,%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf make $RPM_BUILD_ROOT%{_bindir}/gmake

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

echo '#MAKE="%{_bindir}/make -j2"' > $RPM_BUILD_ROOT/etc/env.d/MAKE

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
%env_update

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1
%env_update

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS README
%attr(755,root,root) %{_bindir}/*
%config(noreplace,missingok) %verify(not md5 mtime size) /etc/env.d/MAKE
%{_mandir}/man1/*
%lang(da) %{_mandir}/da/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%{_infodir}/make.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: make.spec,v $
Revision 1.81  2009/02/08 22:43:51  arekm
- more fc fixes

Revision 1.80  2009/02/08 22:32:04  arekm
- rel 3; bugfixes from fc

Revision 1.79  2008/09/07 02:47:05  glen
- fix-info-dir existence is optional

Revision 1.78  2008/09/06 20:51:21  gotar
- added /etc/env.d/MAKE

Revision 1.77  2008/04/08 08:24:53  glen
- unify ftp.gnu.org urls

Revision 1.76  2008-01-24 01:23:01  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.75  2007-10-09 15:31:11  baggins
- s/enviroment/environment/

Revision 1.74  2007/09/05 14:56:20  baggins
- rel 2

Revision 1.73  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.72  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.71  2007/01/25 11:24:50  qboosh
- make doesn't use libtool
- automake already copies config.sub
- ac/am versions

Revision 1.70  2007/01/25 11:18:55  tommat
- turn on regeneration

Revision 1.69  2006/05/16 21:17:46  siefca
- added /usr/bin/gmake symlink to provide compatibility with third-party software

Revision 1.68  2006/04/16 11:29:04  qboosh
- (re)added pl.po-update patch

Revision 1.67  2006/04/04 20:30:08  twittner
- up to 3.81 (this release is announced as major bugfixes)
- -pl.po-update.patch dropped (45 of 47 hunks are not
  applicable - I'm unable to fix this)

Revision 1.66  2005/12/07 14:24:27  qboosh
- release 8: rebuild (seems to fix strange grass build failures on alpha)

Revision 1.65  2005/03/21 22:09:53  mmazur
- rel 7 for th

Revision 1.64  2004/12/20 18:58:09  qboosh
- BR: texinfo

Revision 1.63  2004/10/12 21:48:24  mmazur
- rel 6 for th

Revision 1.62  2004/09/25 11:20:53  radek
- cosmetics (spaces -> tabs)

Revision 1.61  2004/09/02 10:25:18  snurf
- typos / formatting / etc.

Revision 1.60  2004/07/10 11:26:58  qboosh
- killed fix-info-dir dep once again (it was /bin/sh problem)

Revision 1.59  2004/06/19 13:12:37  pluto
- PreReq(fix-info-dir) for scriptlet.

Revision 1.58  2004/01/23 12:38:12  jajcus
- Release: 5
- refresh config.sub for AMD64

Revision 1.57  2003/11/12 23:46:43  qboosh
- updated pl.po-update patch to official pl.po version; release 4

Revision 1.56  2003/10/09 10:04:17  qboosh
- reverted Requires(): fix-info-dir, it was problem with shell installation

Revision 1.55  2003/09/04 21:50:31  adamg
- added missing R(post,preun): fix-info-dir

Revision 1.54  2003/08/30 23:22:18  mmazur
- rel 3 for ac

Revision 1.53  2003/06/02 15:18:31  ankry
- added/changed non-english-man-pages URL

Revision 1.52  2003/05/25 11:00:54  malekith
- massive attack, adding Source-md5

Revision 1.51  2003/05/25 05:50:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.50  2002/11/01 14:36:21  qboosh
- some fixes in pl.po-update patch, release 2

Revision 1.49  2002/10/04 23:36:52  qboosh
- added pl.po-update patch

Revision 1.48  2002/10/04 19:54:02  qboosh
- info patch is back (updated)

Revision 1.47  2002/10/04 15:46:28  misiek
- updated to 3.80; all patches are obsolete

Revision 1.46  2002/09/10 18:11:10  kloczek
- release 15.

Revision 1.45  2002/06/12 14:20:23  qboosh
- added ac253 patch for autoconf 2.53, new %doc

Revision 1.44  2002/05/26 14:15:10  kloczek
- merge translations from KSI and Conectiva.

Revision 1.43  2002/05/26 13:29:12  qrczak
- make-expand-tilde.patch: add ~ to characters which let make pass the
  command to the shell instead of trying to executing it itself, because
  make doesn't expand it itself there.
- Release 14.

Revision 1.42  2002/05/21 23:14:07  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.41  2002/03/24 23:28:21  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.40  2002/02/23 03:44:47  kloczek
- adapterized.

Revision 1.39  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.38  2002/01/18 02:13:48  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.37  2001/11/15 23:23:30  ankry
- added da, es, ja, nl man pages
- release 13

Revision 1.36  2001/11/01 00:59:17  ankry
- pl translation fix: "Nie nic do roboty"->"Nie ma nic do roboty"
- release 12

Revision 1.35  2001/07/26 05:42:11  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.33  2001/07/06 11:22:33  wiget
- release 11; remove some macros from acinclude.m4

Revision 1.32  2001/05/02 12:06:00  mkochano
- Release 10.
- Minor pl transaltion fix ("Wchodzę katalog" -> "Wchodzę w katalog"). Better
  (IMHO) translation, such as "Wchodzę do katalogu" would require code
  changes.

Revision 1.31  2001/05/01 13:31:40  misiek
- ignore dependencies for automake

Revision 1.30  2001/02/15 20:30:32  kloczek
- release 8: added automake to BuildRequires.

Revision 1.29  2001/02/15 19:27:19  misiek
- %{__automake}

Revision 1.28  2000/10/23 20:47:49  kloczek
- release 7,
- merged noclock_gettime patch from rawhide,
- added pl man page for make(1),
- use new rpm automation.

Revision 1.27  2000/06/25 21:33:53  kloczek
- updated to 3.79.1.

Revision 1.26  2000/06/19 00:14:31  kloczek
- release 2.

Revision 1.25  2000/06/09 07:54:44  kloczek
- more %{__make} macros.

Revision 1.24  2000/06/09 07:23:25  kloczek
- added using %{__make} macro.

Revision 1.23  2000/05/31 12:46:32  kloczek
- spec adapterized.

Revision 1.22  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.21  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.20  2000/04/17 00:59:19  kloczek
- updated to 3.79,
- updated %files list.

Revision 1.19  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.18  2000/03/28 16:54:41  baggins
- translated kloczkish into english

Revision 1.17  2000/03/03 04:45:36  kloczek
- release 4,
- added race patch with /tmp race fix in make (patch from rawhide),
- spec adapterized.

Revision 1.16  1999/10/07 01:15:30  kloczek
- updated to 3.78.1,
- added Serial: 1 (RH make has the same Serial and without this upgrade
  can't be maked without --force),
- removed fixes patch which is integrated in current version.

Revision 1.15  1999/09/12 15:49:52  kloczek
- release 9,
- new {un}registering procedure for info pages with using
  /usr/sbin/fix-info-dir,
- new %description.
- new %description.

Revision 1.14  1999/07/30 23:07:44  kloczek
- release 8,
- fix: added passing LDFLAGS="-s" to ./configure environment (stripping
  binaries).

Revision 1.13  1999/07/12 23:06:07  kloczek
- added using CVS keywords in %changelog (for automating them).
